Zoneomics Logo
Gets control data values that can be fixed or vary based on the specific land-use type
GET
https://api.zoneomics.com/v2/conditionalControls?

conditionalControls API provides rule-based values for different controls data attributes.

The API returns either a fixed or a condition-based value for each controls data item.

A fixed value means the rule does not change in any situation. For example, if the max_far control has a fixed value of 25, it means the maximum floor area ratio is always 25, regardless of the land use condition at the location.

A condition-based value means the rule changes depending on the land-use type. For example, for min_lot_width_ft, the required width is 75–150 ft for Courtyar Housing, while for a Commercial Block, the range becomes 100–150 ft.

Request Data
Request Parameters
api_key
string
required

A unique key to access and authorize the API.

lat
number

Latitude value of the location, for example, lat= 33.84888310969514.

lng
number

Longitude value of the location, for example, lng= -118.389390707016.

address
string

A valid address, for example, 427 E Main St, Ventura, CA 93001, USA.

Response Data
status
boolean

Indicates whether the request was successful or not

link
string

The link field contains the URL that corresponds to the resource or endpoint you requested. It provides a direct link to the requested resource, enabling you to quickly access or reference the specific location related to their request within the API.

data
object

This object returns a JSON object with all the data sets grouped under keys defined below. The response could vary depending on the output_fields param

ObjectAttribute NameDescriptionData typeSample Value

Metadata of the city

city_id

Unique ID of the city.

Number

187

city_name

Name of the city.

String

Baltimore

last_updated

Indicates when the zoning data was last updated for the city.

String

2025-09-29

Zoning Information

zone_code

The abbreviation for a zoning district as provided by the municipality.

String

R1,C2.

zone_name

The complete name for a zoning district as provided by the municipality.

String

Single Family Residential.

zone_type

A standardized classification of the zone based on the intended primary use.

String

Residential, Commercial, etc.

zon_sub_type

A standardized sub-classification of the zone based on the primary uses intended.

String

Single Family, Two Family.

zone_guide

A brief description of the objective of the zone.

String

The C-1 Neighborhood Business Zoning District is intended for areas of commercial clusters or pedestrian-oriented corridors of commercial uses that serve the immediate neighborhood.

link

Link to the full zoning code or municipal code of the jurisdiction. They are also known as zoning ordinance or zoning by-laws.

String

https://www.zoneomi cs.com/code/redond o-beach-CA

Controls

controls

This is the main object that contains fixed and condition-based values for all the development control parameters.

Object

max_coverage: { type: fixed, value: NA }, min_lot_width_ft: { type: conditional, conditions: [ { value: 25–150, condition: Live or Work }, { value: 75–150, condition: Side court Housing }, ], best_case_value: 25, worst_case_value: 150 }

type

Indicates whether the control has a single value or varies by condition.

String

“fixed” or “conditional”

value

This attribute contains the control value when the type is fixed.

String

“5”, “NA” or “NULL”

conditions

List of scenario-based values when the type is conditional.

Array of Objects

{ "value": "25–150", "condition": "Live or Work" }

conditions[].value

The attribute contains the value that is applicable under a specific condition.

String

25–150, 10, or NULL

conditions[]. condition

Description of the use, building type, or situation under which the value applies.

String

Courtyard housing, Live or Work

best_case_ value

Most permissive value across all listed conditions. Useful for quick evaluation.

String/ Number

0-5 or 25

worst_case_ value

Most restrictive value across all listed conditions. Useful for conservative analysis.

String/ Number

5-10 or 14

lat

Latitude of location.

Number

33.8668575

lng

Longitude of location.

Number

-118.3575175

Use cases

Find all the usecases for the api below

Get conditional controls data by lat,lng
Specify location by passing coordinates in lat and lng parameters to get conditional controls data
https://api.zoneomics.com/v2/conditionalControls?lat=34.2808409&lng=-119.2931259&api_key=<your API key here>
Get conditional controls data by address
Get conditional controls data of a location by specifying the address
https://api.zoneomics.com/v2/conditionalControls?address=427 E Main St, Ventura, CA 93001, USA&api_key=<your API key here>

Ready to build with zoning data?

Talk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.